.SILENT:
OPACK_SYS_HOSTNAME?=	opack
OPACK_SYS_USER?=	opack	
OPACK_SYS_PASSWORD?=	opack	
OPACK_SYS_DISK_SIZE?=	4096
OPACK_SYS_MEMORY?=	512
OPACK_SYS_CPU?=		1
OPACK_SYS_VERSION?=7.1
OPACK_SYS_VERSION_NUMBER?=7.1
OPACK_SYS_RELEASE?=OPENBSD_7_1
OPACK_SYS_CVS_REPO?=anoncvs.fr.openbsd.org
OPACK_SYS_SERVER?=cdn.openbsd.org
OPACK_SYS_ARCHITECTURE?=amd64
OPACK_SYS_XENOCARA?=no
OPACK_SYS_PORTS?=no
OPACK_SYS_SETS?=+* -x* +xbase* -game* -comp* -man* -bsd.rd
OPACK_SYS_TIMEZONE?=Europe/Paris
OPACK_SYS_SSH_KEY?=$(shell curl -s https://raw.githubusercontent.com/hashicorp/vagrant/master/keys/vagrant.pub)
OPACK_PACKER_VERSION?=$$(curl -s https://checkpoint-api.hashicorp.com/v1/check/packer | jq -r .current_version)
OPACK_PACKER_HTTP_DIR?=$(OPACK_PACKER_DIR)/http
OPACK_SYS_ISO_URL?=https://$(OPACK_SYS_SERVER)/pub/OpenBSD/$(OPACK_SYS_VERSION)/$(OPACK_SYS_ARCHITECTURE)/cd$(shell echo $(OPACK_SYS_VERSION_NUMBER) | sed 's/\.//').iso
OPACK_SYS_ISO_SHA256SUM?=$(shell curl -s https://$(OPACK_SYS_SERVER)/pub/OpenBSD/$(OPACK_SYS_VERSION)/amd64/SHA256 | grep cd$(shell echo $(OPACK_SYS_VERSION_NUMBER) | sed 's/\.//').iso | cut -d"=" -f2 | tr -d ' ')
OPACK_COMMIT?=$(shell git log --oneline -n 1 --abbrev-commit --date=short --pretty=format:"%h %ad %s")
OPACK_SHORT_REV?=$(shell git rev-parse --short HEAD)
OPACK_SYS_SETS_LOCATION?=http
OPACK_NO_SIGCHK?=no
OPACK_SYS_HEADLESS?=true
OPACK_CACHE_DIR?=opack_cache
OPACK_BOX_FILE?=../$(OPACK_CACHE_DIR)/$(OPACK_TARGET).box
OPACK_META_FILE?=$(OPACK_TARGET).json
OPACK_BOX_VERSION?=1.$(shell date +%s).$(OPACK_SHORT_REV)
OPACK_BOX_FILE_SHA256?=XXXtoreplaceXXX
OPACK_BOX_TAG?=opack/$(OPACK_TARGET)
OPACK_CACHE_DIR?=opack_cache
OPACK_PACKER_DIR?=opack_build_$(OPACK_SHORT_REV)
OPACK_CLOUD?=$(OPACK_PACKER_DIR)/created
